summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Popov <pinkbyte@gentoo.org>2019-12-11 14:10:54 +0300
committerSergey Popov <pinkbyte@gentoo.org>2019-12-11 14:10:54 +0300
commit1e735027ae2223701efd202eb4d04b505aa1dcc2 (patch)
tree253aa92e1933ce74cf6bb5d9b493953b83c32324 /app-emulation/dynamips/dynamips-0.2.21.ebuild
parentnet-p2p/rtorrent: amd64 stable wrt bug #702424 (diff)
downloadgentoo-1e735027ae2223701efd202eb4d04b505aa1dcc2.tar.gz
gentoo-1e735027ae2223701efd202eb4d04b505aa1dcc2.tar.bz2
gentoo-1e735027ae2223701efd202eb4d04b505aa1dcc2.zip
app-emulation/dynamips: version bump
Update metadata, bump EAPI Signed-off-by: Yury Martynov <email@linxon.ru> Signed-off-by: Sergey Popov <pinkbyte@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/13306 Signed-off-by: Sergey Popov <pinkbyte@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11
Diffstat (limited to 'app-emulation/dynamips/dynamips-0.2.21.ebuild')
-rw-r--r--app-emulation/dynamips/dynamips-0.2.21.ebuild40
1 files changed, 40 insertions, 0 deletions
diff --git a/app-emulation/dynamips/dynamips-0.2.21.ebuild b/app-emulation/dynamips/dynamips-0.2.21.ebuild
new file mode 100644
index 00000000000..21b04e6456e
--- /dev/null
+++ b/app-emulation/dynamips/dynamips-0.2.21.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+DESCRIPTION="Cisco 7200/3600 Simulator"
+HOMEPAGE="https://github.com/GNS3/dynamips"
+SRC_URI="https://github.com/GNS3/dynamips/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="ipv6"
+
+BDEPEND="app-arch/unzip"
+RDEPEND="dev-libs/elfutils
+ net-libs/libpcap"
+DEPEND="${RDEPEND}"
+
+DOCS=( ChangeLog README.md RELEASE-NOTES )
+
+PATCHES=( "${FILESDIR}/${PN}-0.2.18-docs.patch" )
+
+src_prepare() {
+ # comment out DYNAMIPS_FLAGS to respect CFLAGS
+ sed -e "s:^set ( DYNAMIPS_FLAGS:#&:" -i cmake/dependencies.cmake || die
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DANY_COMPILER=1
+ -DENABLE_IPV6="$(usex ipv6)"
+ )
+ cmake-utils_src_configure
+}